Get an order
Returns one order, including status, domains, and costs.
GET
/
orders
/
{id}
Get an order
curl --request GET \
--url https://api.peeker.ai/partner/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ord_01HZX0OR1A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C6Z3K4M5N6P7Q8R9S0",
"bundle_id": "bun_123",
"smartlead_client_id": null,
"destination": {
"provider": "instantly",
"workspace_id": "wrk_01HZX0JN1A2B3C4D5E6F7G8H"
},
"status": "in_progress",
"domain_count": 2,
"costs": {
"total_cents": 12400,
"currency": "usd",
"line_items": [
{
"type": "microsoft_license",
"quantity": 2,
"amount_cents": 10000
},
{
"type": "domain_registration",
"quantity": 2,
"amount_cents": 2400
}
]
},
"domains": {
"registered": [
"domain-01.com",
"domain-02.com"
],
"imported": []
},
"personas": [
{
"first_name": "Sam",
"last_name": "Lee",
"profile_picture_url": ""
}
],
"renews_at": "2026-06-08T12:00:00Z",
"created_at": "2026-05-08T12:00:00Z"
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}Authorizations
Partner API key (pk_live_… or pk_test_…).
Path Parameters
Order ID (ord_…).
Example:
"ord_01HZX"
Response
Full order from GET /orders/{id}. Webhooks send a smaller snapshot. Fetch here for the latest full state.
Show child attributes
Show child attributes
Last modified on August 25, 2026
⌘I
Get an order
curl --request GET \
--url https://api.peeker.ai/partner/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ord_01HZX0OR1A2B3C4D5E6F7G8H",
"customer_id": "cus_01HZX0C6Z3K4M5N6P7Q8R9S0",
"bundle_id": "bun_123",
"smartlead_client_id": null,
"destination": {
"provider": "instantly",
"workspace_id": "wrk_01HZX0JN1A2B3C4D5E6F7G8H"
},
"status": "in_progress",
"domain_count": 2,
"costs": {
"total_cents": 12400,
"currency": "usd",
"line_items": [
{
"type": "microsoft_license",
"quantity": 2,
"amount_cents": 10000
},
{
"type": "domain_registration",
"quantity": 2,
"amount_cents": 2400
}
]
},
"domains": {
"registered": [
"domain-01.com",
"domain-02.com"
],
"imported": []
},
"personas": [
{
"first_name": "Sam",
"last_name": "Lee",
"profile_picture_url": ""
}
],
"renews_at": "2026-06-08T12:00:00Z",
"created_at": "2026-05-08T12:00:00Z"
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}{
"error": {
"code": "emailbison_super_admin_key",
"message": "Use an EmailBison workspace/user API key; super-admin keys are not accepted.",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"field": "credentials.api_key",
"details": {}
}
}